Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicComboPopup.InvocationKeyHandler

    java.lang.Object
      |
      +--java.awt.event.KeyAdapter
            |
            +--javax.swing.plaf.basic.BasicComboPopup.InvocationKeyHandler

All Implemented Interfaces:
  EventListener, KeyListener

Enclosing class:
  BasicComboPopup

public class BasicComboPopup.InvocationKeyHandler
extends KeyAdapter

As of Java 2 platform v 1.4, this class is now obsolete and is only included for backwards API compatibility. Do not instantiate or subclass.

All the functionality of this class has been included in BasicComboBoxUI ActionMap/InputMap methods.

Constructor Summary
`BasicComboPopup.InvocationKeyHandler()`

Method Summary
`void` | `keyReleased(KeyEvent e)` Invoked when a key has been released.

Methods inherited from class java.awt.event.KeyAdapter
`keyPressed, keyTyped`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicComboPopup.InvocationKeyHandler

    public BasicComboPopup.InvocationKeyHandler()

Method Detail

### keyReleased

    public void keyReleased(KeyEvent e)

  Description copied from class: `KeyAdapter`
  Invoked when a key has been released.

  Specified by:
    `keyReleased` in interface `KeyListener`
  Overrides:
    `keyReleased` in class `KeyAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.